Um für GNU R das Paket coin installieren zu können, müssen unter Debian/Ubuntu zunächst die Pakete libblas-dev liblapack-dev installiert werden. Andernfalls bricht R mit der Fehlermeldung ab:

/usr/bin/ld: cannot find -lblas
collect2: ld gab 1 als Ende-Status zurück
make: *** [coin.so] Fehler 1

Erst ein:

sudo apt-get install libblas-dev liblapack-dev

Danach in R ein:

install.packages("coin", dependencies=TRUE)

Und schon installiert das coin-Paket sauber durch.